--
-- dim_STAT
--

drop table dim_STAT;
drop table dim_LOG;
drop table dim_TASK;
drop table Hosts;
drop table dim_ERR;

create table dim_STAT (
  ID       int not null,
  Title    varchar(60) not null,
  dt_start bigint,
  Timeout  int,
  State    int,
  Host     varchar(20)
);

create unique index dim_STAT_ID on dim_STAT( ID );


create table dim_LOG (
  ID       int not null,
  Sno      int not null,
  dt_stamp bigint not null,
  Message  varchar(224) not null
);

create index dim_LOG_ID  on dim_LOG( ID,dt_stamp,Sno );


create table dim_TASK (
  ID       int not null,
  dt_begin bigint not null,
  dt_end   bigint not null,
  Name     varchar(40) not null
);

create index dim_TASK_ID  on dim_TASK( ID,dt_begin,dt_end );


create table Hosts(
  ID      int not null,
  Hosts   text not null
);

insert into Hosts values( 1, 'sun/localhost:5000' );

create table dim_ERR (
  ID       int not null,
  Sno      int not null,
  dt_stamp bigint not null,
  Message  varchar(200) not null
);

-- Don't use index to avoid repair and still able to see
-- errors in case of index corruption!!...
--
-- create index dim_ERR_ID  on dim_ERR( ID,dt_stamp,Sno );

